package com.muyu.common.core.validation.custom;

import com.muyu.common.core.enums.SystemYesNo;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * @ClassName SystemYesNoValidator
 * @Description 描述
 * @Author Chen
 * @Date 2024/8/6 21:01
 */
public class SystemYesNoValidator implements ConstraintValidator<IsSystemYesNo,String> {
    @Override
    public boolean isValid(String value, ConstraintValidatorContext constraintValidatorContext) {
        return SystemYesNo.isCode(value);
    }
}
